Package org.apache.synapse.commons.builders

# Class SynapseMessageConverter

java.lang.Object
org.apache.synapse.commons.builders.SynapseMessageConverter

All Implemented Interfaces:
  `MessageConverter`

public abstract class SynapseMessageConverter extends Object implements MessageConverter

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynapseMessageConverter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `convert(org.apache.axiom.om.OMElement element, OutputStream outputStream, String fromMediaType, String toMediaType)`
  Message formatter action.
  `StringBuilder`
  `convert(org.apache.axiom.om.OMElement element, String fromMediaType, String toMediaType)`
  Message formatter action.
  `void`
  `convert(org.apache.axis2.context.MessageContext messageContext, OutputStream outputStream, String fromMediaType, String toMediaType)`
  `StringBuilder`
  `convert(org.apache.axis2.context.MessageContext messageContext, String fromMediaType, String toMediaType)`
  Message formatter action.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SynapseMessageConverter

    public SynapseMessageConverter()

- ## Method Details

  - ### convert

    public void convert(org.apache.axiom.om.OMElement element, OutputStream outputStream, String fromMediaType, String toMediaType)
    Description copied from interface: `MessageConverter`
    Message formatter action.
    Specified by:
      `convert` in interface `MessageConverter`
    Parameters:
      `element` -
      `outputStream` -
      `fromMediaType` -
      `toMediaType` -

  - ### convert

    public void convert(org.apache.axis2.context.MessageContext messageContext, OutputStream outputStream, String fromMediaType, String toMediaType)
    Specified by:
      `convert` in interface `MessageConverter`
    Parameters:
      `messageContext` -
      `outputStream` -
      `fromMediaType` -
      `toMediaType` -

  - ### convert

    public StringBuilder convert(org.apache.axiom.om.OMElement element, String fromMediaType, String toMediaType)
    Description copied from interface: `MessageConverter`
    Message formatter action.
    Specified by:
      `convert` in interface `MessageConverter`
    Parameters:
      `element` -
      `fromMediaType` -
      `toMediaType` -
    Returns:

  - ### convert

    public StringBuilder convert(org.apache.axis2.context.MessageContext messageContext, String fromMediaType, String toMediaType)
    Description copied from interface: `MessageConverter`
    Message formatter action.
    Specified by:
      `convert` in interface `MessageConverter`
    Parameters:
      `messageContext` -
      `fromMediaType` -
      `toMediaType` -
    Returns: